---
title: Help beginners to learn on MDN!
slug: MDN/Contribute/Help_beginners
tags:
  - Beginner
  - Contribute
  - HELP
  - Learning
  - MDN
---
<p>{{MDNSidebar}}</p>

<p>Our <a href="/en-US/docs/Learn">Learn web development</a> pages get over a million views per month, and have <a href="https://discourse.mozilla.org/c/mdn/learn/250">active forums</a> where people go to ask for general help, or request that their assessments be marked. We’d love some help with answering posts, and growing our learning community.</p>

<h2 id="What_do_we_need_help_with">What do we need help with?</h2>

<p>In the <a href="https://discourse.mozilla.org/c/mdn/learn/250">MDN learning forum</a>, there are two main types of post that we’d like you to help out with answering:</p>

<ol>
 <li>General questions about web development.</li>
 <li>Specific questions asking for help or assessment with the skill tests and assessments that appear on the Learn web development section on MDN.</li>
</ol>

<h2 id="How_can_you_benefit">How can you benefit?</h2>

<ul>
 <li>Helping people with their code problems is a great way to learn more about web technologies — as you research a solution and write an answer to someone's question, you will gain a deeper understanding of the subject, and improve your skills.</li>
 <li>As you get more involved in the MDN community, you'll get to know Mozilla staff and other community members, giving you a valuable network of contacts for getting help with your own issues and increasing your visibility.</li>
 <li>Helping to answer coding questions is largely its own reward, but it will also demonstrate your expertise in web technologies and possibly even help you with your course, or job opportunities.</li>
</ul>

<h2 id="What_skills_do_you_need">What skills do you need?</h2>

<ul>
 <li>You should be knowledgeable in web technologies such as HTML, CSS, and JavaScript. Ideally you should also be good at explaining technical topics, and enjoy helping beginners learn to code.</li>
 <li>The language of the forum is English — you should have a reasonable proficiency with the English language, but it really doesn't need to be perfect. We have people from all over the world visiting our forums, and we want everyone who visits us to feel as comfortable and included as possible.</li>
</ul>

<h2 id="How_to_help">How to help</h2>

<ol>
 <li>First of all, <a href="/en-US/docs/MDN/Contribute/Getting_started#Step_1_Create_an_account_on_MDN">sign up for an MDN account</a>, if you don’t already have one. You don’t absolutely need to do this to help in the learning area, but it will be useful in the long run.</li>
 <li>Also sign up for <a href="https://discourse.mozilla.org/">Mozilla Discourse</a>, if you haven’t already.</li>
 <li>Have a look at <a href="/en-US/docs/Learn">Learn web development</a> section and gain a basic level of familiarity with what’s there, if you haven't already (see the {{anch("Structure of the MDN Learning Area")}} section below for help).</li>
</ol>

<h3 id="Once_you_are_set_up">Once you are set up</h3>

<ol>
 <li>Have a look at the <a href="https://discourse.mozilla.org/c/mdn/learn/250">learning forum</a> and see if there are any posts that have no replies — this is the best place to start.

  <ul>
   <li>Hint: If you can’t find any that have no replies, check some of the other ones that were recently updated and see if you can add anything useful that has not already been said.</li>
  </ul>
 </li>
 <li>If the post you are replying to is a general ask for help, reply to them, and give them as much help as you’ve got time for.</li>
 <li>If the post you are replying to is requesting an assessment for one of the "test your skill"/"assessment" tasks:
  <ol>
   <li>Identify which article/task is being assessed, and find the associated marking guide for it. It is totally OK to ask the person who submitted the post if they can give you the link to the assessment/skill test.</li>
   <li>Identify the person’s code — they should give it to you in the form of a codepen/jsfiddle/jsbin link, or similar. If they don’t provide it in a form that is easy to assess, it is perfectly OK to ask them to put it in codepen, jsfiddle, or similar.
    <ul>
     <li>A common problem is when people post their code directly into a discourse message — discourse renders HTML elements and turns quotes into smartquotes, which breaks code. It is much better to get it sent over as a URL to a shareable code editor app.</li>
    </ul>
   </li>
   <li>Read through the code and assess it
    <ol>
     <li>Does it work, and does it give you the result that it should give?</li>
     <li>If not, why doesn’t it work?</li>
     <li>Are there any tips you can give the person to make the code better (more efficient, best practice, etc.)?</li>
    </ol>
   </li>
   <li>Give them a report on how they did:
    <ol>
     <li>Some of the marking guides suggest a marking scheme with points for each bit of the question, but you don’t need to be that accurate.</li>
     <li>If the person did great except for a few nitpicks, tell them the nitpicks, but give them lots of praise too.</li>
     <li>If the person was nearly there but it wasn’t quite right, tell them they did great, but then share the fixes they'd need to make it work, and perhaps even link to the marking guide so they can see what we did.</li>
     <li>If the person is not really anywhere near a working solution, be kind and encouraging and try to give them a few clues as to what direction they should go in. Give them another chance to try to do it better.</li>
     <li>If you need asistance with anything, ask for help in the <a href="https://chat.mozilla.org/#/room/#mdn:mozilla.org">MDN Web Docs chat room</a> on <a href="https://wiki.mozilla.org/Matrix">Matrix</a>.</li>
    </ol>
   </li>
  </ol>
 </li>
</ol>

<div class="notecard warning">
<p>Important: Above all, be patient, be friendly, be kind. Remember — most of these folks are beginners.</p>
</div>

<h2 id="Structure_of_the_MDN_Learning_Area">Structure of the MDN Learning Area</h2>

<p>When helping answer questions related to the <a href="/en-US/docs/Learn">Learn web development</a> section of MDN, it is a good idea to have a look around it and gain a basic level of familiarity with what’s there.</p>

<ol>
 <li>Have a look through the page structure in general.</li>
 <li>Especially look at the types of assessments available,
  <ul>
   <li>from the numerous "test your skills" articles available (e.g. see <a href="/en-US/docs/Learn/JavaScript/Building_blocks/conditionals#Test_your_skills!">https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks/conditionals#Test_your_skills!</a>)</li>
   <li>to the more in-depth assessments at the end of some modules (e.g. see <a href="/en-US/docs/Learn/JavaScript/Building_blocks/Image_gallery">https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks/Image_gallery</a>)</li>
  </ul>
 </li>
 <li>Have a look at the GitHub repos associated with the learning area (most of the files are available in <a href="https://github.com/mdn/learning-area/">https://github.com/mdn/learning-area/</a>, some are in <a href="https://github.com/mdn/css-examples/tree/master/learn">https://github.com/mdn/css-examples/tree/master/learn</a>). Most of the examples learners will want help with are contained here.</li>
 <li>Each assessment/skill test has an associated marking guide and recommended solution available, to help you assess their work.</li>
 <li>There are patterns that make it easier to find these resources, for example:
  <ul>
   <li>The above "test your skills" marking guide and resources are available at <a href="https://github.com/mdn/learning-area/tree/master/javascript/building-blocks/tasks/conditionals">https://github.com/mdn/learning-area/tree/master/javascript/building-blocks/tasks/conditionals</a>.</li>
   <li>The above assessment marking guide and resources are available at <a href="https://github.com/mdn/learning-area/tree/master/javascript/building-blocks/gallery">https://github.com/mdn/learning-area/tree/master/javascript/building-blocks/gallery</a>.</li>
  </ul>
 </li>
</ol>

<p>It will seem tricky to navigate around all this to begin with, but you’ll find it easier in time, as you become more familiar with the exercises.</p>
